BaseFilter (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.BaseFilter class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui
Class BaseFilter

    java.lang.Object
      org.hyperic.hq.ui.BaseFilter

All Implemented Interfaces:
  javax.servlet.Filter

Direct Known Subclasses:
  CacheCowFilter, RenditFilter, ResourceFilter

    public abstract class BaseFilter

extends java.lang.Object
implements javax.servlet.Filter

Base class with minimal Filter implementation

Constructor Summary
`BaseFilter()`

Method Summary
`void` | `destroy()`
`abstract void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` | `init(javax.servlet.FilterConfig filterConfig)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseFilter

    public BaseFilter()

Method Detail

### init

    public void init(javax.servlet.FilterConfig filterConfig)

  Specified by:
    `init` in interface `javax.servlet.Filter`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### doFilter

    public abstract void doFilter(javax.servlet.ServletRequest request,
                                  javax.servlet.ServletResponse response,
                                  javax.servlet.FilterChain chain)
                           throws java.io.IOException,
                                  javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.